// Python33Test.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

#ifdef _DEBUG
# define _DEBUG_OLD
#endif
#undef _DEBUG

#include "Python33/include/Python.h"

#ifdef _DEBUG_OLD
# define _DEBUG
#endif

std::string gAppFolder;

void ExecuteScript(const char* script)
{
	std::string pythonPath	= "PYTHONPATH=";
	pythonPath	+= gAppFolder + "\\Python33\\Lib;";
	pythonPath	+= gAppFolder + "\\Python33\\Libs;";
	pythonPath	+= gAppFolder + "\\Python33\\DLLs;";
	_putenv( pythonPath.c_str() );

	Py_Initialize();

	PyRun_SimpleString( script );

	Py_Finalize();
}

int _tmain(int argc, _TCHAR* argv[])
{
	char currDirBuffer[ 1024 ];
	GetModuleFileName( NULL, currDirBuffer, 1024 );
	PathRemoveFileSpec( currDirBuffer );
	gAppFolder	= currDirBuffer;

	FILE* inputFile = fopen( (gAppFolder + "\\test.py").c_str(), "rb" );
	fseek( inputFile, 0, SEEK_END );
	long	fileSize = ftell( inputFile );
	rewind( inputFile );

	char* buffer = new char[ fileSize + 1 ];
	fread( buffer, sizeof(char), fileSize, inputFile );

	fclose( inputFile );
	inputFile	= NULL;

	buffer[ fileSize ] = 0;

	::ExecuteScript( buffer );
	::ExecuteScript( buffer );

	delete [] buffer;
	buffer = NULL;

	return 0;
}

